2017-03-30 04:42 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001674openmediavaultBugpublic2017-03-22 23:28
ReporterWindows10user 
Assigned Tovotdev 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionunable to reproduce 
Product Version 
Target VersionFixed in Version 
Summary0001674: Version 3.0, can't access any shares.
DescriptionThis bug found in version 3.x on Raspberry Pi 2 stops Admins from setting up the shares of the NAS. The shares for FTP seems to work sometimes, however SMB/CIFS's (Which is important for most people because it's used for Microsoft(R)Windows(R) file transfers) shares are not visible at all.
Steps To Reproduce1. Logon to admin web control panel
2. Access the SMB/CIFS controls
3. Click on shares
Tagserasmus, share
Attached Files

-Relationships
+Relationships

-Notes

~0004547

ryecoaaron27 (reporter)

This looks like a browser and/or browser cache issue. Maybe an browser extension blocking it somehow?

~0004548

Windows10user (reporter)

I tried it in Firefox 51, Internet Explorer 11 and Google Chrome 55 and I've checked the extensions and on Firefox there is nothing, On IE there is the Microsoft, VLC, Java and Shockwave add ons and on Chrome there is only the Google ones installed... :/ Thanks for the help through!

~0004549

Windows10user (reporter)

This is the list of things that I've tried:

1. Reboot the NAS
2. Install updates
3. Use other browsers
4. Reinstall the Openmediavault

None of them have worked...

~0004550

ryecoaaron27 (reporter)

You reinstalled and still have the problem? Did you try a different SD card?

~0004551

votdev (administrator)

Please provide some information you can get with the IE developer tools.

~0004552

Windows10user (reporter)

ryecoaaron27: I've reinstalled it and it still have the problems...

votdev: I have attached the F12 Developer Tools image here.

~0004553

Windows10user (reporter)

votdev, Here is the Debugger info:
<!DOCTYPE html>
<html>
    <head>
        <title>openmediavault control panel - raspberrypi</title>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
        <link rel="apple-touch-icon" href="favicon_180x180.png">
        <link rel="icon" href="favicon.svg" sizes="any" type="image/svg+xml">
<link rel='stylesheet' type='text/css' href='/extjs/packages/ext-theme-gray/resources/ext-theme-gray-all.css'/>
<link rel='stylesheet' type='text/css' href='css/omv.css'/>
<script type='application/javascript' src='/extjs/ext-all.js'></script>
<script type='application/javascript' src='/extjs/packages/ext-theme-gray/ext-theme-gray.js'></script>
<script type='application/javascript' src='js/omv/util/i18n.js'></script>
<script type='application/javascript' src='js/omv/util/i18nDict.js'></script>
<script type='application/javascript' src='js/ext-overrides.js'></script>
<script type='application/javascript' src='js/js-overrides.js'></script>
<script type='application/javascript' src='js/omv/globals.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/Node.js'></script>
<script type='application/javascript' src='js/omv/WorkspaceManager.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/Diagnostic.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/Service.js'></script>
<script type='application/javascript' src='js/omv/workspace/tab/Panel.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/Status.js'></script>
<script type='application/javascript' src='js/omv/util/Format.js'></script>
<script type='application/javascript' src='js/omv/window/MessageBox.js'></script>
<script type='application/javascript' src='js/omv/Rpc.js'></script>
<script type='application/javascript' src='js/omv/workspace/panel/Panel.js'></script>
<script type='application/javascript' src='js/omv/workspace/panel/Textarea.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/plugin/Ssh.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/plugin/Ftp.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/plugin/Smb.js'></script>
<script type='application/javascript' src='js/omv/grid/column/NumberRange.js'></script>
<script type='application/javascript' src='js/omv/grid/column/ToolTip.js'></script>
<script type='application/javascript' src='js/omv/grid/column/Map.js'></script>
<script type='application/javascript' src='js/omv/grid/column/WhiteSpace.js'></script>
<script type='application/javascript' src='js/omv/grid/column/UnixTimestamp.js'></script>
<script type='application/javascript' src='js/omv/grid/column/Hyperlink.js'></script>
<script type='application/javascript' src='js/omv/grid/column/Empty.js'></script>
<script type='application/javascript' src='js/omv/grid/column/DeviceInfo.js'></script>
<script type='application/javascript' src='js/omv/grid/column/DeviceFiles.js'></script>
<script type='application/javascript' src='js/omv/grid/column/CronScheduling.js'></script>
<script type='application/javascript' src='js/omv/grid/column/BooleanText.js'></script>
<script type='application/javascript' src='js/omv/grid/column/BooleanIcon.js'></script>
<script type='application/javascript' src='js/omv/grid/column/BinaryUnit.js'></script>
<script type='application/javascript' src='js/omv/grid/Panel.js'></script>
<script type='application/javascript' src='js/omv/workspace/grid/Panel.js'></script>
<script type='application/javascript' src='js/omv/data/reader/RpcJson.js'></script>
<script type='application/javascript' src='js/omv/data/proxy/Rpc.js'></script>
<script type='application/javascript' src='js/omv/data/field/Object.js'></script>
<script type='application/javascript' src='js/omv/data/field/Array.js'></script>
<script type='application/javascript' src='js/omv/data/Model.js'></script>
<script type='application/javascript' src='js/omv/data/Store.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/plugin/Overview.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/System.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/PerfStats.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/Top.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/Report.js'></script>
<script type='application/javascript' src='js/omv/workspace/panel/RrdGraph.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/plugin/Memory.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/plugin/DiskUsage.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/plugin/Load.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/plugin/Cpu.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/plugin/NetworkInterfaces.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/Overview.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Plugin.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Auth.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Rsyncd.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Ftp.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Rsync.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Syslog.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Smart.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Daemon.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Smb.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Apt.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Messages.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Boot.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/Log.js'></script>
<script type='application/javascript' src='js/omv/data/Download.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/Overview.js'></script>
<script type='application/javascript' src='js/omv/form/field/plugin/FieldInfo.js'></script>
<script type='application/javascript' src='js/omv/form/plugin/LinkedFields.js'></script>
<script type='application/javascript' src='js/omv/form/CompositeField.js'></script>
<script type='application/javascript' src='js/omv/form/Panel.js'></script>
<script type='application/javascript' src='js/omv/workspace/form/Panel.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/Settings.js'></script>
<script type='application/javascript' src='js/omv/data/identifier/Empty.js'></script>
<script type='application/javascript' src='js/omv/form/field/ComboBox.js'></script>
<script type='application/javascript' src='js/omv/form/field/SshCertificateComboBox.js'></script>
<script type='application/javascript' src='js/omv/form/field/SharedFolderComboBox.js'></script>
<script type='application/javascript' src='js/omv/form/field/Password.js'></script>
<script type='application/javascript' src='js/omv/window/Window.js'></script>
<script type='application/javascript' src='js/omv/window/Execute.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/plugin/ConfigObject.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/Container.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/Form.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/rsync/Jobs.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/rsync/Rsync.js'></script>
<script type='application/javascript' src='js/omv/form/field/UserComboBox.js'></script>
<script type='application/javascript' src='js/omv/form/field/GroupComboBox.js'></script>
<script type='application/javascript' src='js/omv/tab/Panel.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/Tab.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/rsyncd/Modules.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/rsyncd/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/rsyncd/Rsyncd.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/Service.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/tftp/Tftp.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ftp/Ftp.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/TextArea.js'></script>
<script type='application/javascript' src='js/omv/form/field/SslCertificateComboBox.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ftp/Tls.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ftp/Shares.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ftp/Ban.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ftp/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/smb/Shares.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/smb/Smb.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/smb/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/snmp/Snmp.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ssh/Ssh.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/nfs/Nfs.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/nfs/Shares.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/nfs/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/System.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/cron/Cron.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/certificate/Certificate.js'></script>
<script type='application/javascript' src='js/omv/form/field/SshPublicKey.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/certificate/Ssh.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/certificate/Ssl.js'></script>
<script type='application/javascript' src='js/omv/window/Upload.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/update/Packages.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/update/Update.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/update/Settings.js'></script>
<script type='application/javascript' src='js/omv/data/reader/RpcArray.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/time/Time.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/powermanagement/PowerManagement.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/powermanagement/ScheduledJobs.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/powermanagement/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/notification/Notification.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/Zeroconf.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/General.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/Proxy.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/Network.js'></script>
<script type='application/javascript' src='js/omv/toolbar/Tip.js'></script>
<script type='application/javascript' src='js/omv/form/field/Grid.js'></script>
<script type='application/javascript' src='js/omv/form/field/CheckboxGrid.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/Interfaces.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/Firewall.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/omvextras/Omvextras.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/omvextras/Repos.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/omvextras/Kernel.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/plugin/Plugin.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/general/General.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/general/AdminPasswd.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/general/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/monitoring/PerfStats.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/monitoring/Monitoring.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/sharedfolder/ResetPerms.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/sharedfolder/ShowSharedFolder.js'></script>
<script type='application/javascript' src='js/omv/form/field/UnixFilePermComboBox.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/Grid.js'></script>
<script type='application/javascript' src='js/omv/grid/Privileges.js'></script>
<script type='application/javascript' src='js/omv/tree/Panel.js'></script>
<script type='application/javascript' src='js/omv/tree/Folder.js'></script>
<script type='application/javascript' src='js/omv/window/FolderBrowser.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/sharedfolder/SharedFolder.js'></script>
<script type='application/javascript' src='js/omv/grid/PrivilegesByRole.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/group/Group.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/Privilege.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/user/User.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/user/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/filesystem/Filesystem.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/mdadm/Mdadm.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/smart/Devices.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/smart/Smart.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/smart/ScheduledJobs.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/smart/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/Storage.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/flashmemory/Flashmemory.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/flashmemory/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/physicaldisk/PhysicalDisk.js'></script>
<script type='application/javascript' src='js/omv/workspace/dashboard/Dashboard.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/Dashboard.js'></script>
<script type='application/javascript' src='js/omv/workspace/dashboard/View.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/view/FileSystemStatus.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/view/ServiceStatus.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/view/SysInfo.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/view/NetworkInterfaces.js'></script>
<script type='application/javascript' src='js/omv/workspace/dashboard/Part.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/part/FileSystemStatus.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/part/ServiceStatus.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/part/SysInfo.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/part/NetworkInterfaces.js'></script>
<script type='application/javascript' src='js/omv/module/public/info/Info.js'></script>
<script type='application/javascript' src='js/omv/module/public/info/donate/Donate.js'></script>
<script type='application/javascript' src='js/omv/module/public/info/support/Support.js'></script>
<script type='application/javascript' src='js/omv/module/public/info/about/About.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/Model.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/panel/Overview.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/panel/Category.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/tree/Model.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/tree/Panel.js'></script>
<script type='application/javascript' src='js/omv/SessionManager.js'></script>
<script type='application/javascript' src='js/omv/toolbar/ApplyCfg.js'></script>
<script type='application/javascript' src='js/omv/workspace/Workspace.js'></script>
    </head>
    <body class='workspace-page'>
        <script type="application/javascript">
            // Global defines
            OMV.UUID_UNDEFINED = 'fa4b1c66-ef79-11e5-87a0-0002b3a176b4'; OMV.ROLE_ADMINISTRATOR = 1; OMV.HTTPREQUEST_TIMEOUT = 60000; OMV.PRODUCT_NAME = 'openmediavault'; OMV.PRODUCT_URL = 'http://www.openmediavault.org'; OMV.PRODUCT_COPYRIGHT = 'Copyright (C) 2009-2016 by Volker Theile. All rights reserved.'; OMV.PRODUCT_PACKAGENAME = 'openmediavault';
            // RPC error codes
            OMV.E_RPC_GET_PARAMS_FAILED = 1000; OMV.E_RPC_INVALID_PARAMS = 1001; OMV.E_RPC_INVALID_CONTEXT = 1002; OMV.E_RPC_SERVICE_NOT_FOUND = 2000; OMV.E_RPC_SERVICE_METHOD_NOT_EXISTS = 2001; OMV.E_RPC_SERVICE_METHOD_INVALID_PARAMS = 2002; OMV.E_RPC_SERVICE_METHOD_INVALID_CONTEXT = 2003; OMV.E_RPC_SERVICE_METHOD_SCHEMA_NOT_DEFINED = 2004; OMV.E_RPC_SERVICE_ALREADY_EXISTS = 2005; OMV.E_CONFIG_OBJECT_NOT_FOUND = 3000; OMV.E_CONFIG_SAVE_FAILED = 3001; OMV.E_CONFIG_SET_OBJECT_FAILED = 3002; OMV.E_CONFIG_GET_OBJECT_FAILED = 3003; OMV.E_CONFIG_INVALID_XPATH = 3004; OMV.E_CONFIG_OBJECT_UNIQUENESS = 3005; OMV.E_CONFIG_OBJECT_INVALID = 3006; OMV.E_CONFIG_OBJECT_INUSE = 3007; OMV.E_CONFIG_LOAD_FAILED = 3008; OMV.E_CONFIG_DIRTY = 3009; OMV.E_CONFIG_UNMET_DEPENDENCY = 3010; OMV.E_CONFIG_DB_SET_FAILED = 3011; OMV.E_CONFIG_DB_GET_FAILED = 3012; OMV.E_EXEC_FAILED = 4000; OMV.E_EXEC_MISC = 4001; OMV.E_SESSION_NOT_AUTHENTICATED = 5000; OMV.E_SESSION_TIMEOUT = 5001; OMV.E_SESSION_INVALID_IPADDRESS = 5002; OMV.E_SESSION_INVALID_USERAGENT = 5003; OMV.E_SESSION_INVALID_USER = 5004; OMV.E_SESSION_ALREADY_AUTHENTICATED = 5005; OMV.E_MISC_FAILURE = 6000; OMV.E_MISC_OPERATION_DENIED = 6001; OMV.E_MISC_DEVICE_NOT_FOUND = 6002; OMV.E_MISC_DEVICE_NOT_SUPPORTED = 6003; OMV.E_ENGINED_CREATE_SOCKET = 7000; OMV.E_ENGINED_CONNECT_SOCKET = 7001; OMV.E_ENGINED_WRITE_SOCKET = 7002; OMV.E_ENGINED_READ_SOCKET = 7003; OMV.E_DATAMODEL_LOAD_FAILED = 8000; OMV.E_DATAMODEL_NOT_EXISTS = 8001;
            // Request user confirmation before leaving page.
            OMV.confirmPageUnload = true;
            window.onbeforeunload = function() {
                if (true === OMV.confirmPageUnload) {
                    OMV.confirmPageUnload = false;
                    return _("Do you really want to leave the page?");
                }
            };
            // Initialize default session data.
            Ext.apply(OMV.SessionManager, {
                username: "admin",
                role: "1"
            });
            // Use LocalStorage API if available, otherwise use
            // cookies to store the state of the UI components.
            var provider;
            if (Ext.util.LocalStorage.supported) {
                provider = Ext.create("Ext.state.LocalStorageProvider");
            } else {
                provider = Ext.create("Ext.state.CookieProvider", {
                    expires: new Date(new Date().getTime() +
                      (1000*60*60*24*365))
                });
            }
            Ext.state.Manager.setProvider(provider);
            // Create the viewport if the page is ready.
            Ext.onReady(function() {
                Ext.tip.QuickTipManager.init(true, {
                    dismissDelay: 0
                });
                OMV.viewport = Ext.create("OMV.workspace.Workspace");
            });
        </script>
    </body>
</html>

~0004554

ryecoaaron27 (reporter)

Any errors in the console portion of the dev tools?

~0004556

votdev (administrator)

Please activate the debugger and then go to the SMB shares tab. If there is an error, then it will be shown to you.

~0004558

Windows10user (reporter)

ryecoaaron27 and votdev, here is the debugger on the SMB shares tab:
<!DOCTYPE html>
<html>
    <head>
        <title>openmediavault control panel - raspberrypi</title>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
        <link rel="apple-touch-icon" href="favicon_180x180.png">
        <link rel="icon" href="favicon.svg" sizes="any" type="image/svg+xml">
<link rel='stylesheet' type='text/css' href='/extjs/packages/ext-theme-gray/resources/ext-theme-gray-all.css'/>
<link rel='stylesheet' type='text/css' href='css/omv.css'/>
<script type='application/javascript' src='/extjs/ext-all.js'></script>
<script type='application/javascript' src='/extjs/packages/ext-theme-gray/ext-theme-gray.js'></script>
<script type='application/javascript' src='js/omv/util/i18n.js'></script>
<script type='application/javascript' src='js/omv/util/i18nDict.js'></script>
<script type='application/javascript' src='js/ext-overrides.js'></script>
<script type='application/javascript' src='js/js-overrides.js'></script>
<script type='application/javascript' src='js/omv/globals.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/Node.js'></script>
<script type='application/javascript' src='js/omv/WorkspaceManager.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/Diagnostic.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/Service.js'></script>
<script type='application/javascript' src='js/omv/workspace/tab/Panel.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/Status.js'></script>
<script type='application/javascript' src='js/omv/util/Format.js'></script>
<script type='application/javascript' src='js/omv/window/MessageBox.js'></script>
<script type='application/javascript' src='js/omv/Rpc.js'></script>
<script type='application/javascript' src='js/omv/workspace/panel/Panel.js'></script>
<script type='application/javascript' src='js/omv/workspace/panel/Textarea.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/plugin/Ssh.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/plugin/Ftp.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/plugin/Smb.js'></script>
<script type='application/javascript' src='js/omv/grid/column/NumberRange.js'></script>
<script type='application/javascript' src='js/omv/grid/column/ToolTip.js'></script>
<script type='application/javascript' src='js/omv/grid/column/Map.js'></script>
<script type='application/javascript' src='js/omv/grid/column/WhiteSpace.js'></script>
<script type='application/javascript' src='js/omv/grid/column/UnixTimestamp.js'></script>
<script type='application/javascript' src='js/omv/grid/column/Hyperlink.js'></script>
<script type='application/javascript' src='js/omv/grid/column/Empty.js'></script>
<script type='application/javascript' src='js/omv/grid/column/DeviceInfo.js'></script>
<script type='application/javascript' src='js/omv/grid/column/DeviceFiles.js'></script>
<script type='application/javascript' src='js/omv/grid/column/CronScheduling.js'></script>
<script type='application/javascript' src='js/omv/grid/column/BooleanText.js'></script>
<script type='application/javascript' src='js/omv/grid/column/BooleanIcon.js'></script>
<script type='application/javascript' src='js/omv/grid/column/BinaryUnit.js'></script>
<script type='application/javascript' src='js/omv/grid/Panel.js'></script>
<script type='application/javascript' src='js/omv/workspace/grid/Panel.js'></script>
<script type='application/javascript' src='js/omv/data/reader/RpcJson.js'></script>
<script type='application/javascript' src='js/omv/data/proxy/Rpc.js'></script>
<script type='application/javascript' src='js/omv/data/field/Object.js'></script>
<script type='application/javascript' src='js/omv/data/field/Array.js'></script>
<script type='application/javascript' src='js/omv/data/Model.js'></script>
<script type='application/javascript' src='js/omv/data/Store.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/service/plugin/Overview.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/System.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/PerfStats.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/Top.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/Report.js'></script>
<script type='application/javascript' src='js/omv/workspace/panel/RrdGraph.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/plugin/Memory.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/plugin/DiskUsage.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/plugin/Load.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/plugin/Cpu.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/plugin/NetworkInterfaces.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/system/Overview.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Plugin.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Auth.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Rsyncd.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Ftp.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/ClamAV.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Rsync.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Syslog.js'></script>
<script type='application/javascript' src='js/omv/PluginManager.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Urbackup-Server.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/LetsEncrypt.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Smart.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Daemon.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Smb.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Apt.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Messages.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/plugin/Boot.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/Log.js'></script>
<script type='application/javascript' src='js/omv/data/Download.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/Overview.js'></script>
<script type='application/javascript' src='js/omv/form/field/plugin/FieldInfo.js'></script>
<script type='application/javascript' src='js/omv/form/plugin/LinkedFields.js'></script>
<script type='application/javascript' src='js/omv/form/CompositeField.js'></script>
<script type='application/javascript' src='js/omv/form/Panel.js'></script>
<script type='application/javascript' src='js/omv/workspace/form/Panel.js'></script>
<script type='application/javascript' src='js/omv/module/admin/diagnostic/log/Settings.js'></script>
<script type='application/javascript' src='js/omv/data/identifier/Empty.js'></script>
<script type='application/javascript' src='js/omv/form/field/ComboBox.js'></script>
<script type='application/javascript' src='js/omv/form/field/SshCertificateComboBox.js'></script>
<script type='application/javascript' src='js/omv/form/field/SharedFolderComboBox.js'></script>
<script type='application/javascript' src='js/omv/form/field/Password.js'></script>
<script type='application/javascript' src='js/omv/window/Window.js'></script>
<script type='application/javascript' src='js/omv/window/Execute.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/plugin/ConfigObject.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/Container.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/Form.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/rsync/Jobs.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/rsync/Rsync.js'></script>
<script type='application/javascript' src='js/omv/form/field/UserComboBox.js'></script>
<script type='application/javascript' src='js/omv/form/field/GroupComboBox.js'></script>
<script type='application/javascript' src='js/omv/tab/Panel.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/Tab.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/rsyncd/Modules.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/rsyncd/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/rsyncd/Rsyncd.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/Service.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/tftp/Tftp.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ftp/Ftp.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/TextArea.js'></script>
<script type='application/javascript' src='js/omv/form/field/SslCertificateComboBox.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ftp/Tls.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ftp/Shares.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ftp/Ban.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ftp/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/remotedesktop/RemoteDesktop.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/remotedesktop/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/smb/Shares.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/smb/Smb.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/smb/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/snmp/Snmp.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/ssh/Ssh.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/nfs/Nfs.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/nfs/Shares.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/nfs/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/letsencrypt/LetsEncrypt.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/letsencrypt/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/urbackup-server/Urbackup-Server.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/urbackup-server/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/clamav/Jobs.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/clamav/ClamAV.js'></script>
<script type='application/javascript' src='js/omv/module/admin/service/clamav/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/System.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/cron/Cron.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/certificate/Certificate.js'></script>
<script type='application/javascript' src='js/omv/form/field/SshPublicKey.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/certificate/Ssh.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/certificate/Ssl.js'></script>
<script type='application/javascript' src='js/omv/window/Upload.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/update/Packages.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/update/Update.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/update/Settings.js'></script>
<script type='application/javascript' src='js/omv/data/reader/RpcArray.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/time/Time.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/powermanagement/PowerManagement.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/powermanagement/ScheduledJobs.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/powermanagement/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/notification/Notification.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/Zeroconf.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/General.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/Proxy.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/Network.js'></script>
<script type='application/javascript' src='js/omv/toolbar/Tip.js'></script>
<script type='application/javascript' src='js/omv/form/field/Grid.js'></script>
<script type='application/javascript' src='js/omv/form/field/CheckboxGrid.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/Interfaces.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/network/Firewall.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/omvextras/Omvextras.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/omvextras/Repos.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/omvextras/Kernel.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/plugin/Plugin.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/general/General.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/general/AdminPasswd.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/general/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/monitoring/PerfStats.js'></script>
<script type='application/javascript' src='js/omv/module/admin/system/monitoring/Monitoring.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/sharedfolder/ResetPerms.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/sharedfolder/ShowSharedFolder.js'></script>
<script type='application/javascript' src='js/omv/form/field/UnixFilePermComboBox.js'></script>
<script type='application/javascript' src='js/omv/workspace/window/Grid.js'></script>
<script type='application/javascript' src='js/omv/grid/Privileges.js'></script>
<script type='application/javascript' src='js/omv/tree/Panel.js'></script>
<script type='application/javascript' src='js/omv/tree/Folder.js'></script>
<script type='application/javascript' src='js/omv/window/FolderBrowser.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/sharedfolder/SharedFolder.js'></script>
<script type='application/javascript' src='js/omv/grid/PrivilegesByRole.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/group/Group.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/Privilege.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/user/User.js'></script>
<script type='application/javascript' src='js/omv/module/admin/privilege/user/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/filesystem/Filesystem.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/mdadm/Mdadm.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/smart/Devices.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/smart/Smart.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/smart/ScheduledJobs.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/smart/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/Storage.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/flashmemory/Flashmemory.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/flashmemory/Settings.js'></script>
<script type='application/javascript' src='js/omv/module/admin/storage/physicaldisk/PhysicalDisk.js'></script>
<script type='application/javascript' src='js/omv/workspace/dashboard/Dashboard.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/Dashboard.js'></script>
<script type='application/javascript' src='js/omv/workspace/dashboard/View.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/view/FileSystemStatus.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/view/ServiceStatus.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/view/SysInfo.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/view/NetworkInterfaces.js'></script>
<script type='application/javascript' src='js/omv/workspace/dashboard/Part.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/part/FileSystemStatus.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/part/ServiceStatus.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/part/SysInfo.js'></script>
<script type='application/javascript' src='js/omv/module/admin/dashboard/part/NetworkInterfaces.js'></script>
<script type='application/javascript' src='js/omv/module/public/info/Info.js'></script>
<script type='application/javascript' src='js/omv/module/public/info/donate/Donate.js'></script>
<script type='application/javascript' src='js/omv/module/public/info/support/Support.js'></script>
<script type='application/javascript' src='js/omv/module/public/info/about/About.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/Model.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/panel/Overview.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/panel/Category.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/tree/Model.js'></script>
<script type='application/javascript' src='js/omv/workspace/node/tree/Panel.js'></script>
<script type='application/javascript' src='js/omv/SessionManager.js'></script>
<script type='application/javascript' src='js/omv/toolbar/ApplyCfg.js'></script>
<script type='application/javascript' src='js/omv/workspace/Workspace.js'></script>
    </head>
    <body class='workspace-page'>
        <script type="application/javascript">
            // Global defines
            OMV.UUID_UNDEFINED = 'fa4b1c66-ef79-11e5-87a0-0002b3a176b4'; OMV.ROLE_ADMINISTRATOR = 1; OMV.HTTPREQUEST_TIMEOUT = 60000; OMV.PRODUCT_NAME = 'openmediavault'; OMV.PRODUCT_URL = 'http://www.openmediavault.org'; OMV.PRODUCT_COPYRIGHT = 'Copyright (C) 2009-2016 by Volker Theile. All rights reserved.'; OMV.PRODUCT_PACKAGENAME = 'openmediavault';
            // RPC error codes
            OMV.E_RPC_GET_PARAMS_FAILED = 1000; OMV.E_RPC_INVALID_PARAMS = 1001; OMV.E_RPC_INVALID_CONTEXT = 1002; OMV.E_RPC_SERVICE_NOT_FOUND = 2000; OMV.E_RPC_SERVICE_METHOD_NOT_EXISTS = 2001; OMV.E_RPC_SERVICE_METHOD_INVALID_PARAMS = 2002; OMV.E_RPC_SERVICE_METHOD_INVALID_CONTEXT = 2003; OMV.E_RPC_SERVICE_METHOD_SCHEMA_NOT_DEFINED = 2004; OMV.E_RPC_SERVICE_ALREADY_EXISTS = 2005; OMV.E_CONFIG_OBJECT_NOT_FOUND = 3000; OMV.E_CONFIG_SAVE_FAILED = 3001; OMV.E_CONFIG_SET_OBJECT_FAILED = 3002; OMV.E_CONFIG_GET_OBJECT_FAILED = 3003; OMV.E_CONFIG_INVALID_XPATH = 3004; OMV.E_CONFIG_OBJECT_UNIQUENESS = 3005; OMV.E_CONFIG_OBJECT_INVALID = 3006; OMV.E_CONFIG_OBJECT_INUSE = 3007; OMV.E_CONFIG_LOAD_FAILED = 3008; OMV.E_CONFIG_DIRTY = 3009; OMV.E_CONFIG_UNMET_DEPENDENCY = 3010; OMV.E_CONFIG_DB_SET_FAILED = 3011; OMV.E_CONFIG_DB_GET_FAILED = 3012; OMV.E_EXEC_FAILED = 4000; OMV.E_EXEC_MISC = 4001; OMV.E_SESSION_NOT_AUTHENTICATED = 5000; OMV.E_SESSION_TIMEOUT = 5001; OMV.E_SESSION_INVALID_IPADDRESS = 5002; OMV.E_SESSION_INVALID_USERAGENT = 5003; OMV.E_SESSION_INVALID_USER = 5004; OMV.E_SESSION_ALREADY_AUTHENTICATED = 5005; OMV.E_MISC_FAILURE = 6000; OMV.E_MISC_OPERATION_DENIED = 6001; OMV.E_MISC_DEVICE_NOT_FOUND = 6002; OMV.E_MISC_DEVICE_NOT_SUPPORTED = 6003; OMV.E_ENGINED_CREATE_SOCKET = 7000; OMV.E_ENGINED_CONNECT_SOCKET = 7001; OMV.E_ENGINED_WRITE_SOCKET = 7002; OMV.E_ENGINED_READ_SOCKET = 7003; OMV.E_DATAMODEL_LOAD_FAILED = 8000; OMV.E_DATAMODEL_NOT_EXISTS = 8001;
            // Request user confirmation before leaving page.
            OMV.confirmPageUnload = true;
            window.onbeforeunload = function() {
                if (true === OMV.confirmPageUnload) {
                    OMV.confirmPageUnload = false;
                    return _("Do you really want to leave the page?");
                }
            };
            // Initialize default session data.
            Ext.apply(OMV.SessionManager, {
                username: "admin",
                role: "1"
            });
            // Use LocalStorage API if available, otherwise use
            // cookies to store the state of the UI components.
            var provider;
            if (Ext.util.LocalStorage.supported) {
                provider = Ext.create("Ext.state.LocalStorageProvider");
            } else {
                provider = Ext.create("Ext.state.CookieProvider", {
                    expires: new Date(new Date().getTime() +
                      (1000*60*60*24*365))
                });
            }
            Ext.state.Manager.setProvider(provider);
            // Create the viewport if the page is ready.
            Ext.onReady(function() {
                Ext.tip.QuickTipManager.init(true, {
                    dismissDelay: 0
                });
                OMV.viewport = Ext.create("OMV.workspace.Workspace");
            });
        </script>
    </body>
</html>

~0004559

Windows10user (reporter)

Error messages?
   // RPC error codes
             OMV.E_RPC_GET_PARAMS_FAILED = 1000; OMV.E_RPC_INVALID_PARAMS = 1001; OMV.E_RPC_INVALID_CONTEXT = 1002; OMV.E_RPC_SERVICE_NOT_FOUND = 2000; OMV.E_RPC_SERVICE_METHOD_NOT_EXISTS = 2001; OMV.E_RPC_SERVICE_METHOD_INVALID_PARAMS = 2002; OMV.E_RPC_SERVICE_METHOD_INVALID_CONTEXT = 2003; OMV.E_RPC_SERVICE_METHOD_SCHEMA_NOT_DEFINED = 2004; OMV.E_RPC_SERVICE_ALREADY_EXISTS = 2005; OMV.E_CONFIG_OBJECT_NOT_FOUND = 3000; OMV.E_CONFIG_SAVE_FAILED = 3001; OMV.E_CONFIG_SET_OBJECT_FAILED = 3002; OMV.E_CONFIG_GET_OBJECT_FAILED = 3003; OMV.E_CONFIG_INVALID_XPATH = 3004; OMV.E_CONFIG_OBJECT_UNIQUENESS = 3005; OMV.E_CONFIG_OBJECT_INVALID = 3006; OMV.E_CONFIG_OBJECT_INUSE = 3007; OMV.E_CONFIG_LOAD_FAILED = 3008; OMV.E_CONFIG_DIRTY = 3009; OMV.E_CONFIG_UNMET_DEPENDENCY = 3010; OMV.E_CONFIG_DB_SET_FAILED = 3011; OMV.E_CONFIG_DB_GET_FAILED = 3012; OMV.E_EXEC_FAILED = 4000; OMV.E_EXEC_MISC = 4001; OMV.E_SESSION_NOT_AUTHENTICATED = 5000; OMV.E_SESSION_TIMEOUT = 5001; OMV.E_SESSION_INVALID_IPADDRESS = 5002; OMV.E_SESSION_INVALID_USERAGENT = 5003; OMV.E_SESSION_INVALID_USER = 5004; OMV.E_SESSION_ALREADY_AUTHENTICATED = 5005; OMV.E_MISC_FAILURE = 6000; OMV.E_MISC_OPERATION_DENIED = 6001; OMV.E_MISC_DEVICE_NOT_FOUND = 6002; OMV.E_MISC_DEVICE_NOT_SUPPORTED = 6003; OMV.E_ENGINED_CREATE_SOCKET = 7000; OMV.E_ENGINED_CONNECT_SOCKET = 7001; OMV.E_ENGINED_WRITE_SOCKET = 7002; OMV.E_ENGINED_READ_SOCKET = 7003; OMV.E_DATAMODEL_LOAD_FAILED = 8000; OMV.E_DATAMODEL_NOT_EXISTS = 8001;
             // Request user confirmation before leaving page.
             OMV.confirmPageUnload = true;
             window.onbeforeunload = function() {
                 if (true === OMV.confirmPageUnload) {
                     OMV.confirmPageUnload = false;
                     return _("Do you really want to leave the page?");
                 }
             };
             // Initialize default session data.
             Ext.apply(OMV.SessionManager, {
                 username: "admin",
                 role: "1"
             });
             // Use LocalStorage API if available, otherwise use
             // cookies to store the state of the UI components.
             var provider;
             if (Ext.util.LocalStorage.supported) {
                 provider = Ext.create("Ext.state.LocalStorageProvider");
             } else {
                 provider = Ext.create("Ext.state.CookieProvider", {
                     expires: new Date(new Date().getTime() +
                       (1000*60*60*24*365))
                 });
             }
             Ext.state.Manager.setProvider(provider);
             // Create the viewport if the page is ready.
             Ext.onReady(function() {
                 Ext.tip.QuickTipManager.init(true, {
                     dismissDelay: 0
                 });
                 OMV.viewport = Ext.create("OMV.workspace.Workspace");
             });
         </script>
     </body>

~0004560

votdev (administrator)

Thanks for your help, but we do not have any progress here. The information you provided is not helpful, it's the source code we can see in our Github repository. We are interested in error messages provided my the browser to identify the problem. The error messages are posted in the debug tools output console.

~0004561

Windows10user (reporter)

Running a Google Chrome console showed this:
Uncaught TypeError: Cannot read property 'getItems' of null
    at E.getFields (ext-all.js:22)
    at E.findField (ext-all.js:22)
    at Object.e (ext-all.js:22)
    at Object.each (ext-all.js:22)
    at Object.iterate (ext-all.js:22)
    at E.setValues (ext-all.js:22)
    at g.setValues (Panel.js:107)
    at g.onLoad (Panel.js:222)
    at g.processResponse (Rpc.js:188)
    at g.<anonymous> (Rpc.js:92)

from looking at this, it looks like there was a typo that caused the fault...

~0004564

Windows10user (reporter)

votdev,

Uncaught TypeError: Cannot read property 'getItems' of null
     at E.getFields (ext-all.js:22)
     at E.findField (ext-all.js:22)
     at Object.e (ext-all.js:22)
     at Object.each (ext-all.js:22)
     at Object.iterate (ext-all.js:22)
     at E.setValues (ext-all.js:22)
     at g.setValues (Panel.js:107)
     at g.onLoad (Panel.js:222)
     at g.processResponse (Rpc.js:188)
     at g.<anonymous> (Rpc.js:92)
Is this good enough info on the program? If you need more info, look at the "Console Pi NAS" Image above.

~0004565

votdev (administrator)

Please execute the following commands from the CLI and post the error output.

$ monit stop omv-engined
$ omv-engined -d -f

Login to another SSH session and execute:

$ omv-rpc "SMB" "getShareList" '{"start":0,"limit":null,"sortfield":null,"sortdir":"asc"}'

You will now hopefully see an error message in the first SSH session where you started the OMV engine process. This is the required information. If there is no error message then post the output of the omv-rpc command from the seconds SSH session.

~0004572

Windows10user (reporter)

I really have no idea what I'm looking at here, I've posted a screenshot of SSH output if that helps...

~0004573

votdev (administrator)

Last edited: 2017-02-15 07:46

View 2 revisions

You have a typo in the command. Please execute the command again.

~0004579

Windows10user (reporter)

I've executed the command again, please look at the screenshot that I've posted for the infomation....

~0004580

ryecoaaron27 (reporter)

That output shows you have two smb/cifs shares. Is that correct?

~0004581

Windows10user (reporter)

Yes, that's correct

~0004582

votdev (administrator)

Last edited: 2017-02-18 02:06

View 2 revisions

Stupid question, but does Windows not support copy/paste of text from the CLI? It would be nice to have the output in plain text to prettify it for better reading the next time. Thanks.

~0004583

Windows10user (reporter)

RPC response (service=SMB, method=getShareList): {"response":{"total":2,"data":[{"uuid":"9f464bd7-612a-45c5-844d-4cd6be550842","enable":true,"sharedfolderref":"64a2723c-e5e8-4f73-91b0-5b3d6e113c97","comment":"NAS","guest":"no","readonly":false,"browseable":true,"recyclebin":false,"recyclemaxsize":0,"recyclemaxage":0,"hidedotfiles":true,"inheritacls":true,"inheritpermissions":false,"easupport":false,"storedosattributes":false,"hostsallow":"","hostsdeny":"","audit":false,"extraoptions":"","sharedfoldername":"NAS"},{"uuid":"44df5a32-aa35-41d9-91e0-37afd323f856","enable":true,"sharedfolderref":"e266e9a7-98e5-451b-9bd2-29fa85fa1e17","comment":"Shared Area","guest":"no","readonly":false,"browseable":true,"recyclebin":false,"recyclemaxsize":0,"recyclemaxage":0,"hidedotfiles":true,"inheritacls":true,"inheritpermissions":false,"easupport":false,"storedosattributes":false,"hostsallow":"","hostsdeny":"","audit":false,"extraoptions":"","sharedfoldername":"Shared"}]},"error":null}

Windows does support copy and paste in CLI... Sorry about that :/

~0004589

Windows10user (reporter)

votdev, Windows 10 does support Copy and Paste from a command line, however I don't think anything older then Windows 10 does support copy and paste from a command line because copy and paste from CMD was a "feature" of Windows 10 at launch...

~0004654

Windows10user (reporter)

votdev, Hello? Did you forget about this case?

~0004655

Windows10user (reporter)

I've got more information, it turns out that it affects well... every settings page that has a page count of any even number (e.g. 2, 4, 6, etc.)

~0004672

votdev (administrator)

This means you've more than 25 shares?

~0004678

Windows10user (reporter)

No... It's affects not just the shares page, so if you go on to for example the LAN settings page: 2 and 4 will be blank.

~0004679

votdev (administrator)

I can not reproduce your behaviour, see screenshots smb_shares_0(1|2).png.
+Notes

-Issue History
Date Modified Username Field Change
2017-02-06 18:11 Windows10user New Issue
2017-02-06 18:11 Windows10user Status new => assigned
2017-02-06 18:11 Windows10user Assigned To => votdev
2017-02-06 18:11 Windows10user File Added: WINSHARE.PNG
2017-02-06 18:11 Windows10user Tag Attached: share
2017-02-06 18:13 Windows10user File Added: PINAS INFO.PNG
2017-02-06 18:52 ryecoaaron27 Note Added: 0004547
2017-02-06 19:13 Windows10user Note Added: 0004548
2017-02-06 19:25 Windows10user Note Added: 0004549
2017-02-06 19:53 ryecoaaron27 Note Added: 0004550
2017-02-06 20:05 votdev Note Added: 0004551
2017-02-06 21:19 Windows10user File Added: PINAS F12 DEV TOOL.PNG
2017-02-06 21:19 Windows10user Note Added: 0004552
2017-02-06 21:22 Windows10user Note Added: 0004553
2017-02-06 21:25 ryecoaaron27 Note Added: 0004554
2017-02-06 22:31 votdev Note Added: 0004556
2017-02-07 17:50 Windows10user Note Added: 0004558
2017-02-07 21:13 Windows10user Note Added: 0004559
2017-02-09 08:41 votdev Note Added: 0004560
2017-02-09 19:24 Windows10user File Added: Console Pi NAS.PNG
2017-02-09 19:24 Windows10user Note Added: 0004561
2017-02-10 23:31 Windows10user Note Added: 0004564
2017-02-12 21:39 votdev Note Added: 0004565
2017-02-14 23:23 Windows10user File Added: SSH Pi info 1.PNG
2017-02-14 23:23 Windows10user Note Added: 0004572
2017-02-15 07:46 votdev Note Added: 0004573
2017-02-15 07:46 votdev Note Edited: 0004573 View Revisions
2017-02-17 20:13 Windows10user File Added: SSH Pi info 2.PNG
2017-02-17 20:13 Windows10user Note Added: 0004579
2017-02-17 20:27 ryecoaaron27 Note Added: 0004580
2017-02-17 22:04 Windows10user Note Added: 0004581
2017-02-17 22:33 Windows10user Tag Attached: erasmus
2017-02-18 02:06 votdev Note Added: 0004582
2017-02-18 02:06 votdev Note Edited: 0004582 View Revisions
2017-02-18 12:46 Windows10user Note Added: 0004583
2017-02-21 15:19 Windows10user Note Added: 0004589
2017-03-13 18:03 Windows10user Note Added: 0004654
2017-03-13 18:05 Windows10user Note Added: 0004655
2017-03-20 08:14 votdev Note Added: 0004672
2017-03-22 21:37 Windows10user Note Added: 0004678
2017-03-22 23:27 votdev File Added: smb_shares_01.png
2017-03-22 23:28 votdev File Added: smb_shares_02.png
2017-03-22 23:28 votdev Status assigned => closed
2017-03-22 23:28 votdev Resolution open => unable to reproduce
2017-03-22 23:28 votdev Note Added: 0004679
+Issue History